For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payments

All API Operations related with payments of income and expenses

WRITE Scope

Record a new payment

post

Adds a new payment into for an income or expense. This endpoint also creates a new transaction in the provided account automatically. It works only for manually tracked accounts. If you would like to match an existing transaction with and income or expense please use 'Match Payment' endpoint.

Authorizations
AuthorizationstringRequired

API Key Authentication

Body
invoiceIdstring · uuidOptional

32-character unique ID of the matching Invoice. If this payment does not match with an income, do not include this field while sending your request. you can include expenseId to match with an expense.

expenseIdstring · uuidOptional

32-character unique ID of the matching Expense. If this payment does not match with an expense, do not include this field while sending your request. you can include incomeId to match with an income.

accountIdstring · uuidRequired

32-character unique ID of the bank or cash account of the transaction. This payment will be recorded into this account. Please make sure that the selected account's currency is the mathes with the income or expense's currency or with the company's functional currency. If the selected account's currency does not match any of those currencies, payment will not be recorded.

descriptionstring · min: 1Required

Description of the payment. Will also be used as the description of the added transaction.

transactionTimestampinteger · int64Optional

Epoch timestamp for the transaction date and time. If you don't know the timestamp, you can also provice transactionDate. If both of the fields are provided, transactionTimestamp will be used.

transactionDatestringOptional

Datetime with timezone for the transaction date and time. You can also provide transactionTimestamp. If both of the fields are provided, transactionTimestamp will be used.

amountnumber · doubleOptional

The amount of the payment. This amount should be less or equal to matched income or expense's remaining balance.

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post/v1/add-payment
POST /v1/add-payment HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
  "expenseId": "123e4567-e89b-12d3-a456-426614174000",
  "accountId": "123e4567-e89b-12d3-a456-426614174000",
  "description": "text",
  "transactionTimestamp": 1,
  "transactionDate": "text",
  "amount": 1
}
200

OK

{
  "success": true,
  "errors": [
    "text"
  ],
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "accountId": "123e4567-e89b-12d3-a456-426614174000",
    "accountName": "text",
    "description": "text",
    "transactionTimestamp": 1,
    "transactionDate": "text",
    "amount": 1,
    "currency": "text",
    "transactionType": "text",
    "matchedEntity": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "code": "text"
    },
    "matchedIncomes": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
        "matchedAmount": 1
      }
    ],
    "matchedExpenses": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "expenseId": "123e4567-e89b-12d3-a456-426614174000",
        "matchedAmount": 1
      }
    ]
  }
}

Match payment with an existing Transaction

post

Matches an existing transaction as the payment for an income or expense.

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
transactionIdstring · uuidRequired
Body
incomeIdstring · uuid · nullableOptional

32-character unique ID of the matching income. If this payment does not match with an income, do not include this field while sending your request. you can include expenseId to match with an expense.

expenseIdstring · uuid · nullableOptional

32-character unique ID of the matching Expense. If this payment does not match with an expense, do not include this field while sending your request. you can include incomeId to match with an income.

amountnumber · doubleOptional

The amount of the payment. This amount should be less or equal to matched income or expense's remaining balance. It should also be less or equal to transaction's not-matched balance.

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post/v1/match-payment/{transactionId}
POST /v1/match-payment/{transactionId} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "incomeId": "123e4567-e89b-12d3-a456-426614174000",
  "expenseId": "123e4567-e89b-12d3-a456-426614174000",
  "amount": 1
}
200

OK

{
  "success": true,
  "errors": [
    "text"
  ],
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "accountId": "123e4567-e89b-12d3-a456-426614174000",
    "accountName": "text",
    "description": "text",
    "transactionTimestamp": 1,
    "transactionDate": "text",
    "amount": 1,
    "currency": "text",
    "transactionType": "text",
    "matchedEntity": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "code": "text"
    },
    "matchedIncomes": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
        "matchedAmount": 1
      }
    ],
    "matchedExpenses": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "expenseId": "123e4567-e89b-12d3-a456-426614174000",
        "matchedAmount": 1
      }
    ]
  }
}

Last updated